Bug 114856 - Workflow finish tasks links are active even when the task is not, causes stack trace
Summary: Workflow finish tasks links are active even when the task is not, causes stac...
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise CMS
Classification: Retired
Component: other   
(Show other bugs)
Version: 5.2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: ccm-bugs-list
QA Contact: Jon Orris
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-03 16:54 UTC by Nobuko Asakai
Modified: 2007-04-18 17:02 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-05 17:48:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nobuko Asakai 2004-02-03 16:54:39 UTC
Description of problem:
In the workflow tab for a content item, the "finish task" links are
clickable even when the task is not enabled. Clicking on these links
causes a stack trace. The "finish task" links should reflect the
status of the workflow.



Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1. Create a content item with a standard production workflow
2. Go to the workflow tab
3. Select the "approval" task from the tasks list
   This task should be "disabled" at this point
4. Click on the "finish task" link on the approval task detail screen.


  
Actual results:

Unexpected error screen with the following stack trace:

-*-*-*- Section: Stack trace -*-*-*-
com.arsdigita.bebop.FormProcessException: Task is not enabled
	at
com.arsdigita.cms.ui.workflow.ApproveTaskAddComment$1.updateTaskState(ItemWorkflowTaskPanel.java:416)
	at
com.arsdigita.cms.ui.workflow.AddComment$AddCommentProcessListener.process(AddComment.java:267)

Expected results:

Error message indicating that the task is not enabled.

Additional info:
This bug has been reported by Herefordshire Council who currently
going through their acceptance & additional work request.

Ref. Issue Tracker: 
https://enterprise.redhat.com/issue-tracker/?module=issues&action=view&tid=31310&gid=572

Comment 1 Jon Orris 2006-09-05 17:48:59 UTC
Closing old tickets





Note You need to log in before you can comment on or make changes to this bug.